curl --request POST \
--url https://api.tikway.ai/v1/images/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "diffusion-4-5-full",
"prompt": "A serene Japanese garden at dawn, mist above a koi pond, cinematic lighting, highly detailed",
"negative_prompt": "lowres, blurry, text, watermark",
"size": "1024x1536",
"n": 1,
"steps": 28,
"scale": 5,
"sampler": "Euler Ancestral",
"noise_schedule": "karras"
}
'
{
"created": 1713833628,
"background": "opaque",
"data": [
{
"b64_json": "...",
"index": 0
}
],
"output_format": "png",
"size": "1024x768"
}Novel
图片生成
diffusion-4-5-full 与 diffusion-4-5-curated 使用相同参数集:prompt、images、negative_prompt、n、size、seed、steps、scale、quality_toggle、sampler、noise_schedule、character_prompts 和 response_format。
n 为 1~4。普通图生图源图最多 1 张;vibe_transfer 与 character_reference 不能同时使用。图生图通过本生成接口的 images 传入源图。
POST
https://api.tikway.ai
/
v1
/
images
/
generations
curl --request POST \
--url https://api.tikway.ai/v1/images/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "diffusion-4-5-full",
"prompt": "A serene Japanese garden at dawn, mist above a koi pond, cinematic lighting, highly detailed",
"negative_prompt": "lowres, blurry, text, watermark",
"size": "1024x1536",
"n": 1,
"steps": 28,
"scale": 5,
"sampler": "Euler Ancestral",
"noise_schedule": "karras"
}
'
{
"created": 1713833628,
"background": "opaque",
"data": [
{
"b64_json": "...",
"index": 0
}
],
"output_format": "png",
"size": "1024x768"
}授权
请求体
application/json
NovelAI 图片生成 Request Body。统一参考图使用 images;使用统一 images 传入参考图。
可选。统一参考图数组。type=image(或省略)为单张图生图源图;type=vibe_transfer 为氛围参考;type=character_reference 为精确角色/风格参考。只能有 1 张普通图生图源图,vibe_transfer 与 character_reference 不能混用。
Maximum array length:
16Hide child attributes
Hide child attributes
响应
200 - application/json

